<template>
  <Card class="info-card" title="مشخصات کاربری">
    <template #actions>
      <Button type="text" color="dark" round size="sm" light @click.native="$router.push('/dashboard/edit')">
        <template #icon>
          <EditIcon />
        </template>
      </Button>
    </template>
    <div class="avatar" :style="{backgroundImage: `url(${avatar})`}"></div>
    <div class="row">
      <p class="key">نام کاربری</p>
      <p class="value">{{ user.username }}</p>
    </div>
    <div class="row">
      <p class="key">نام و نام خانوادگی</p>
      <p class="value">{{ user.name || 'ثبت نشده' }}</p>
    </div>
    <div class="row">
      <p class="key">ایمیل</p>
      <p class="value">{{ user.email || 'ثبت نشده' }}</p>
    </div>
    <div class="row">
      <p class="key">شماره موبایل</p>
      <p class="value">{{ user.phone || 'ثبت نشده' }}</p>
    </div>
  </Card>
</template>

<script>
import Card from "@/components/base/Card";
import Button from "@/components/base/Button";
import EditIcon from "@/assets/svgs/edit.svg";

export default {
  name: "InfoCard",
  components: {
    Card,
    Button,
    EditIcon
  },
  props: {
    user: {
      type: Object,
      required: true
    }
  },
  computed: {
    avatar() {
      return this.user.profilePic ? process.env.baseUrl + this.user.profilePic : '/images/profile.png';
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~assets/styles/variables';

.row
  display flex
  align-items center
  justify-content space-between
  padding $sm $md
  @media only screen and (max-width 600px)
    padding $sm 0
  flex-wrap wrap
  &:not(:last-of-type)
    border-bottom 1px solid rgba($black, .07)
  &:hover
    background-color rgba(black, .03)

.value
  direction ltr

.avatar
  width $dashboard-info-avatar-size
  height $dashboard-info-avatar-size
  border-radius 50%
  margin $md auto $sm
  background-size cover
  background-position center
</style>